scala.tools.nsc.typechecker

# StructuredTypeStrings

#### trait StructuredTypeStrings extends DestructureTypes

A more principled system for turning types into strings.

Source
  TypeStrings.scala

Linear Supertypes
DestructureTypes, AnyRef, Any
Known Subclasses
typeDeconstruct
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. StructuredTypeStrings
2. DestructureTypes
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait DestructureType[Node] extends (Global.Type) ⇒ Node

   Definition Classes
     DestructureTypes

2. #### case class Grouping(ldelim: String, mdelim: String, rdelim: String, labels: Boolean) extends Product with Serializable

3. #### case class LabelAndType(label: String, typeName: String) extends Product with Serializable

4. #### class MonoFunction extends TypeProduct

5. #### class NullaryFunction extends TypeProduct

   For a NullaryMethod, in = TypeEmpty; for MethodType(Nil, _) in = TypeNil

6. #### class PolyFunction extends TypeProduct

7. #### case class TypeAtom[T](atom: T) extends TypeNode with Product with Serializable

8. #### class TypeList extends TypeProduct

9. #### sealed abstract class TypeNode extends AnyRef

10. #### case class TypeProduct(nodes: List[TypeNode]) extends TypeNode with Product with Serializable

### Abstract Value Members

1. #### abstract val global: Global

   Definition Classes
     StructuredTypeStrings → DestructureTypes

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from StructuredTypeStrings to any2stringadd[StructuredTypeStrings] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (StructuredTypeStrings, B)

   Implicit information
     This member is added by an implicit conversion from StructuredTypeStrings to ArrowAssoc[StructuredTypeStrings] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val BlockGrouping: Grouping

7. #### object LabelAndType extends Serializable

8. #### val ListGrouping: Grouping

9. #### val NoGrouping: Grouping

10. #### val ProductGrouping: Grouping

11. #### object TypeEmpty extends TypeNode

12. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def ensuring(cond: (StructuredTypeStrings) ⇒ Boolean, msg: ⇒ Any): StructuredTypeStrings

    Implicit information
      This member is added by an implicit conversion from StructuredTypeStrings to Ensuring[StructuredTypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (StructuredTypeStrings) ⇒ Boolean): StructuredTypeStrings

    Implicit information
      This member is added by an implicit conversion from StructuredTypeStrings to Ensuring[StructuredTypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): StructuredTypeStrings

    Implicit information
      This member is added by an implicit conversion from StructuredTypeStrings to Ensuring[StructuredTypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): StructuredTypeStrings

    Implicit information
      This member is added by an implicit conversion from StructuredTypeStrings to Ensuring[StructuredTypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from StructuredTypeStrings to StringFormat[StructuredTypeStrings] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### object intoNodes extends DestructureType[TypeNode]

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def show(tp: Global.Type): String

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): (StructuredTypeStrings, B)

    Implicit information
      This member is added by an implicit conversion from StructuredTypeStrings to ArrowAssoc[StructuredTypeStrings] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from DestructureTypes

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from StructuredTypeStrings to any2stringadd[StructuredTypeStrings]

### Inherited by implicit conversion StringFormat from StructuredTypeStrings to StringFormat[StructuredTypeStrings]

### Inherited by implicit conversion Ensuring from StructuredTypeStrings to Ensuring[StructuredTypeStrings]

### Inherited by implicit conversion ArrowAssoc from StructuredTypeStrings to ArrowAssoc[StructuredTypeStrings]

### Ungrouped